package com.github.nullptroma.wallenc.usecases

import com.github.nullptroma.wallenc.domain.interfaces.IStorage
import com.github.nullptroma.wallenc.domain.interfaces.IStorageInfo
import javax.inject.Inject
import javax.inject.Singleton

@Singleton
class RenameStorageUseCase @Inject constructor() {
    suspend fun rename(storage: IStorageInfo, newName: String) {
        when (storage) {
            is IStorage -> storage.rename(newName)
        }
    }
}
